Subject: RE: stuff running slowly
From: "James Johnston" <[email-masked]>
To: "'Gregory M. Turner'" <[email-masked]>, <[email-masked]>
Cc: "'Aharon Robbins'" <[email-masked]>
Date: Tue, 28 Aug 2012 13:36:49 -0000
List-Id: <cygwin.cygwin.com>

> -----Original Message-----
> Sent: Tuesday, August 28, 2012 07:09
> Cc: Aharon Robbins
> Subject: Re: stuff running slowly
> 
> On 8/27/2012 11:28 PM, Aharon Robbins wrote:
> > Michael,
> >
> > Thanks for your note. I understand that process creation on Windows is
> > slower than on Linux. But what I'm seeing is off by a few orders of
> > magnitude.  Cygwin on Windows 7 on a Sandy Bridge Core i5 with 4 Gig
> > of memory is PAINFULLY slower than even my 7 year old Power PC
> Macbook
> > G4 running Mac OS X 10.5 with only .75 G of RAM.  Something is
> > definitely wrong.
> >
> > The total
> >
> > 	./bootstrap.sh && configure && make && make check
> >
> > process takes close to 45 minutes!  On Linux, it takes under one minute.
> > On my Mac, under 5 minutes.
> >
> > Short of "remove and reinstall", is there anything I should look for?
> 
> That's only one order of magnitude :P  But I'm guessing that's small
> consolation.
> 
> There is one thing you can look for, and that's anything cluttering up
your
> process creation, uh, process, so to speak.
> 
> BLODA apps (see http://cygwin.com/faq/faq.using.html#faq.using.bloda)
> are the likeliest culprits and also they will give you more grief later.
> 

I'd also look into this.  I've personally seen a case where process creation
took about 0.5 seconds (!!); uninstalling the anti-virus fixed the problem.
Note that this slow process-creation was not Cygwin-specific; it was
actually affecting every process on the machine.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple